package com.yidianling.dynamic.bean

import android.os.Parcel
import android.os.Parcelable
import com.ydl.ydlcommon.ui.ParcelableImage

class DynamicDraftBean (
    var title:String?=null,
    var content:String?=null,
    var topicid:String?=null,
    var topicTitle:String?=null,
    var isExpertSeen:Int?=0,
    var isUserAnonymous:Int?=0,
    var publishTrendImgs: List<ParcelableImage> ?= null
    ) : Parcelable {
    constructor(parcel: Parcel) : this(
        parcel.readString(),
        parcel.readString(),
        parcel.readString(),
        parcel.readString(),
        parcel.readValue(Int::class.java.classLoader) as? Int,
        parcel.readValue(Int::class.java.classLoader) as? Int,
        parcel.createTypedArrayList(ParcelableImage.CREATOR)
    ) {
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(title)
        parcel.writeString(content)
        parcel.writeString(topicid)
        parcel.writeString(topicTitle)
        parcel.writeValue(isExpertSeen)
        parcel.writeValue(isUserAnonymous)
        parcel.writeTypedList(publishTrendImgs)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<DynamicDraftBean> {
        override fun createFromParcel(parcel: Parcel): DynamicDraftBean {
            return DynamicDraftBean(parcel)
        }

        override fun newArray(size: Int): Array<DynamicDraftBean?> {
            return arrayOfNulls(size)
        }
    }
}